Create Card
curl --request POST \
--url https://api.example.com/cards \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>",
"display_name": "<string>",
"title": "<string>",
"company": "<string>",
"pronouns": "<string>",
"tagline": "<string>",
"photo_url": "<string>",
"company_logo_url": "<string>",
"banner_url": "<string>",
"theme": {
"primary_color": "#0F172A",
"accent_color": "#3B82F6",
"layout": "classic",
"font": "<string>"
},
"fields": [
{
"label": "<string>",
"value": "",
"icon": "<string>",
"position": 0,
"visibility": "public"
}
],
"is_default": false,
"show_anyreach_branding": true,
"notify_on_share_back": true,
"notify_email": "<string>"
}
'import requests
url = "https://api.example.com/cards"
payload = {
"handle": "<string>",
"display_name": "<string>",
"title": "<string>",
"company": "<string>",
"pronouns": "<string>",
"tagline": "<string>",
"photo_url": "<string>",
"company_logo_url": "<string>",
"banner_url": "<string>",
"theme": {
"primary_color": "#0F172A",
"accent_color": "#3B82F6",
"layout": "classic",
"font": "<string>"
},
"fields": [
{
"label": "<string>",
"value": "",
"icon": "<string>",
"position": 0,
"visibility": "public"
}
],
"is_default": False,
"show_anyreach_branding": True,
"notify_on_share_back": True,
"notify_email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '<string>',
display_name: '<string>',
title: '<string>',
company: '<string>',
pronouns: '<string>',
tagline: '<string>',
photo_url: '<string>',
company_logo_url: '<string>',
banner_url: '<string>',
theme: {
primary_color: '#0F172A',
accent_color: '#3B82F6',
layout: 'classic',
font: '<string>'
},
fields: [
{
label: '<string>',
value: '',
icon: '<string>',
position: 0,
visibility: 'public'
}
],
is_default: false,
show_anyreach_branding: true,
notify_on_share_back: true,
notify_email: '<string>'
})
};
fetch('https://api.example.com/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}AnyCard
Create Card
POST
/
cards
Create Card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Required string length:
3 - 40Pattern:
^[a-z0-9][a-z0-9-]{1,38}[a-z0-9]$Required string length:
1 - 200Maximum string length:
280Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
320Response
Successful Response
The response is of type Response Create Card Route Cards Post · object.
⌘I